<app-table-filters [filters]="tableFilters" (submitFilters)="clickFilters($event)" (resetFilter)="clickFilters($event)"></app-table-filters>

<app-table-layout *ngIf="results" [records]="results.data['rows']" [tableActions]="tableActions" [columnSettings]="columnSettings"
    [buttonText]="'modules.cityFeed.list.create'" [buttonIcon]="'fas fa-newspaper'" [perPage]="results.data['metadata'].pageSize"
    (clickDelete)="delete($event)" (clickEdit)="edit($event)" [totalRecords]="results.data['metadata'].totalResults"
    [pageNumber]="results.data['metadata'].currentPage" (changePage)="updateList($event)">
</app-table-layout>